.TH "orte_ras_node_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte_ras_node_t \- Struct for holding information about a node (a local copy of what is in the node segment in the registry).  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <ras_types.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBopal_list_item_t\fP \fBsuper\fP"
.br
.RI "\fIBase object. \fP"
.ti -1c
.RI "char * \fBnode_name\fP"
.br
.RI "\fIString node name. \fP"
.ti -1c
.RI "char * \fBnode_arch\fP"
.br
.RI "\fIString of the architecture for the node. \fP"
.ti -1c
.RI "orte_cellid_t \fBnode_cellid\fP"
.br
.RI "\fIThe cell ID of this node. \fP"
.ti -1c
.RI "orte_node_state_t \fBnode_state\fP"
.br
.RI "\fIState of this node; see include/orte_types.h. \fP"
.ti -1c
.RI "size_t \fBnode_slots\fP"
.br
.RI "\fIA 'soft' limit on the number of slots available on the node. \fP"
.ti -1c
.RI "size_t \fBnode_slots_inuse\fP"
.br
.RI "\fIHow many processes have already been launched, used by one or more jobs on this node. \fP"
.ti -1c
.RI "size_t \fBnode_slots_alloc\fP"
.br
.RI "\fIThis represents the number of slots we (the allocator) are attempting to allocate to the current job - or the number of slots allocated to a specific job on a query for the jobs allocations. \fP"
.ti -1c
.RI "size_t \fBnode_slots_max\fP"
.br
.RI "\fIA 'hard' limit (if set -- a value of 0 implies no hard limit) on the number of slots that can be allocated on a given node. \fP"
.ti -1c
.RI "char * \fBnode_username\fP"
.br
.RI "\fIUsername on this node, if specified. \fP"
.ti -1c
.RI "int \fBnode_launched\fP"
.br
.RI "\fIFor use by the launcher. \fP"
.in -1c
.SH "Detailed Description"
.PP 
Struct for holding information about a node (a local copy of what is in the node segment in the registry). 
.PP
.SH "Field Documentation"
.PP 
.SS "char* \fBorte_ras_node_t::node_arch\fP"
.PP
String of the architecture for the node. 
.PP
This is permitted to be NULL if it is not known. 
.SS "size_t \fBorte_ras_node_t::node_slots\fP"
.PP
A 'soft' limit on the number of slots available on the node. 
.PP
This will typically correspond to the number of physical CPUs that we have been allocated on this note and would be the 'ideal' number of processes for us to launch. 
.SS "size_t \fBorte_ras_node_t::node_slots_max\fP"
.PP
A 'hard' limit (if set -- a value of 0 implies no hard limit) on the number of slots that can be allocated on a given node. 
.PP
This is for some environments (e.g. grid) there may be fixed limits on the number of slots that can be used.
.PP
This value also could have been a boolean - but we may want to allow the hard limit be different than the soft limit - in other words allow the node to be oversubscribed up to a specified limit. For example, if we have two processors, we may want to allow up to four processes but no more. 

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
